/***************************************************************************
 *   Copyright (C) 2010 by Stefan Baur                                     *
 *   kwatersaver@c0n.de                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#ifndef KGLWATERSAVER4_H
#define KGLWATERSAVER4_H

#include <qdir.h>
#include <qgl.h>
#include <qimage.h>
#include <qpixmap.h>
#include <qdatetime.h>
#include <kstandarddirs.h>

//#include "global.h"
#include "glwater.h"

/**
@author Stefan Baur
*/
class KGLWaterSaver4 : public QGLWidget
{
Q_OBJECT
public:
    KGLWaterSaver4(QWidget *parent = 0);
    virtual ~KGLWaterSaver4();
	
	void start();
	void stop();
	
	void reload();

protected:
	void initializeGL();
	void resizeGL( int, int );
	void paintGL();
	void timerEvent( QTimerEvent * );
	class QImage grabRootWindow();
	
private:
		
	int m_timerId;
	
	QTime t;
	
	GLWater water;
};

#endif
